# Conversations

Conversation, category, and category element related APIs

## Get List Conversations

> Get a list of conversations. The conversations are default sorted by last chat time in descending order.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Conversation, category, and category element related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"ConversationsResponse":{"properties":{"conversations":{"items":{"$ref":"#/components/schemas/Conversation"},"title":"Conversations","type":"array"},"cursor":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Cursor for pagination","title":"Cursor"}},"required":["conversations","cursor"],"title":"ConversationsResponse","type":"object"},"Conversation":{"properties":{"id":{"description":"Unique ID of the conversation","title":"Id","type":"string"},"title":{"description":"Title of the conversation","title":"Title","type":"string"},"user":{"anyOf":[{"$ref":"#/components/schemas/User"},{"type":"null"}],"description":"User information"},"createdAt":{"description":"Conversation created time","title":"Createdat","type":"number"},"lastChatTime":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Conversation last chat time","title":"Lastchattime"},"isEnd":{"description":"Conversation is completed or not","title":"Isend","type":"boolean"},"categories":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Conversation categories","title":"Categories"},"memo":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Conversation memo","title":"Memo"},"chats":{"description":"Chats information","items":{"$ref":"#/components/schemas/Chat"},"title":"Chats","type":"array"},"chatCount":{"description":"Total chat count","title":"Chatcount","type":"integer"},"llmApp":{"anyOf":[{"$ref":"#/components/schemas/LLMApp"},{"type":"null"}],"description":"LLM App information"},"variables":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Variables","title":"Variables"}},"required":["id","title","user","createdAt","lastChatTime","isEnd","categories","memo","chats","chatCount","llmApp","variables"],"title":"Conversation","type":"object"},"User":{"properties":{"userId":{"description":"Unique ID of the user","title":"Userid","type":"string"},"firstName":{"description":"First name of the user","title":"Firstname","type":"string"},"lastName":{"description":"Last name of the user","title":"Lastname","type":"string"}},"required":["userId","firstName","lastName"],"title":"User","type":"object"},"Chat":{"properties":{"id":{"description":"Unique ID of the chat","title":"Id","type":"string"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Node type of the chat","title":"Type"},"sender":{"description":"Sender Type","title":"Sender","type":"string"},"message":{"description":"Chat message","title":"Message","type":"string"},"source":{"anyOf":[{"$ref":"#/components/schemas/ChatInputSource"},{"type":"null"}],"description":"Source of the chat"},"timestamp":{"description":"Timestamp of the chat message creation time","title":"Timestamp","type":"number"},"completed":{"description":"Whether the chat generation is completed","title":"Completed","type":"boolean"},"citations":{"anyOf":[{"items":{"$ref":"#/components/schemas/Citation"},"type":"array"},{"type":"null"}],"description":"Citations information","title":"Citations"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Rating of the chat","title":"Rating"},"agentRating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Agent rating of the chat","title":"Agentrating"}},"required":["id","sender","message","timestamp","completed","citations","rating","agentRating"],"title":"Chat","type":"object"},"ChatInputSource":{"description":"Chat input source information in response.","properties":{"knowledgeBaseIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of knowledge base IDs","title":"Knowledgebaseids"},"folderIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of folder IDs","title":"Folderids"},"webSites":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of web sites","title":"Websites"},"searchAllSharedDocument":{"default":false,"description":"Search all shared documents","title":"Searchallshareddocument","type":"boolean"},"searchAllPersonalDocument":{"default":false,"description":"Search all personal documents","title":"Searchallpersonaldocument","type":"boolean"},"includingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Including hashtags","title":"Includinghashtags"},"excludingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Excluding hashtags","title":"Excludinghashtags"},"includingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Including hashtags operator","title":"Includinghashtagsoperator"},"excludingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Excluding hashtags operator","title":"Excludinghashtagsoperator"},"sharedKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Shared knowledge bases with details","title":"Sharedknowledgebases"},"sharedFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Shared folders with details","title":"Sharedfolders"},"personalKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Personal knowledge bases with details","title":"Personalknowledgebases"},"personalFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Personal folders with details","title":"Personalfolders"}},"title":"ChatInputSource","type":"object"},"KnowledgeBaseInfo":{"description":"Knowledge base information in response.","properties":{"id":{"description":"Unique ID of the knowledge base","title":"Id","type":"string"},"name":{"description":"Name of the knowledge base","title":"Name","type":"string"}},"required":["id","name"],"title":"KnowledgeBaseInfo","type":"object"},"FolderInfo":{"description":"Folder information in response.","properties":{"id":{"description":"Unique ID of the folder","title":"Id","type":"string"},"name":{"description":"Name of the folder","title":"Name","type":"string"}},"required":["id","name"],"title":"FolderInfo","type":"object"},"Citation":{"properties":{"clueId":{"description":"Unique ID of the clue","title":"Clueid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Source of the citation","title":"Source"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Document Title of the clue","title":"Title"},"knowledgeBaseId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Document ID of the clue","title":"Knowledgebaseid"},"pageNo":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Page number of the clue","title":"Pageno"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"URL of the citation","title":"Url"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Text of the citation","title":"Text"}},"required":["clueId"],"title":"Citation","type":"object"},"LLMApp":{"properties":{"id":{"description":"Unique ID of the LLM App","title":"Id","type":"string"},"name":{"description":"Name of the LLM App","title":"Name","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Description of the LLM App","title":"Description"}},"required":["id","name"],"title":"LLMApp","type":"object"}}},"paths":{"/webapi/v2/conversations":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_api_get_list_conversations","summary":"Get List Conversations","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"query","name":"userIds","schema":{"anyOf":[{"items":{},"type":"array"},{"type":"null"}],"title":"Userids"},"required":false},{"in":"query","name":"llmAppId","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Llmappid"},"required":false},{"in":"query","name":"categoryId","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Categoryid"},"required":false},{"in":"query","name":"startedAt","schema":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Search for last chat time after this value","title":"Startedat"},"required":false,"description":"Search for last chat time after this value"},{"in":"query","name":"endAt","schema":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Search for last chat time before this value","title":"Endat"},"required":false,"description":"Search for last chat time before this value"},{"in":"query","name":"firstChatStartedAt","schema":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Search for first chat time after this value","title":"Firstchatstartedat"},"required":false,"description":"Search for first chat time after this value"},{"in":"query","name":"firstChatEndAt","schema":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Search for first chat time before this value","title":"Firstchatendat"},"required":false,"description":"Search for first chat time before this value"},{"in":"query","name":"searchTerm","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Searchterm"},"required":false},{"in":"query","name":"cursor","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"},"required":false},{"in":"query","name":"variables","schema":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Variables"},"required":false},{"in":"query","name":"pageSize","schema":{"default":50,"maximum":50,"minimum":1,"title":"Pagesize","type":"integer"},"required":false},{"in":"query","name":"activeOnly","schema":{"default":false,"title":"Activeonly","type":"boolean"},"required":false},{"in":"query","name":"backgroundRunning","schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Backgroundrunning"},"required":false},{"in":"query","name":"order","schema":{"allOf":[{"enum":["LAST_CHAT_TIME_DESC","LAST_CHAT_TIME_ASC","FIRST_CHAT_TIME_DESC","FIRST_CHAT_TIME_ASC"],"title":"ConversationListOrderEnum","type":"string"}],"default":"LAST_CHAT_TIME_DESC"},"required":false}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationsResponse"}}}}},"description":"Get a list of conversations. The conversations are default sorted by last chat time in descending order.","tags":["Conversations"]}}}}
```

## POST /webapi/v2/conversations/bulk\_update

> Set Conversations

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Conversation, category, and category element related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"SetBulkConversationsRequest":{"properties":{"userIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"The ID of the user for filtering","title":"Userids"},"llmAppIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"The ID of the llm app for filtering","title":"Llmappids"},"categoryIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"The ID of the conversation category for filtering","title":"Categoryids"},"conversationIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"The ID of the conversation for filtering","title":"Conversationids"},"conversationInfo":{"$ref":"#/components/schemas/ConversationInfoRequest","description":"The conversation info for update"}},"required":["conversationInfo"],"title":"SetBulkConversationsRequest","type":"object"},"ConversationInfoRequest":{"properties":{"state":{"anyOf":[{"$ref":"#/components/schemas/ConversationStateEnum"},{"type":"null"}],"description":"The state of the conversation"},"assignee":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The assignee of the conversation","title":"Assignee"},"categoryIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"The ID of the category","title":"Categoryids"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The title of the conversation","title":"Title"}},"title":"ConversationInfoRequest","type":"object"},"ConversationStateEnum":{"enum":["no","eb","ea","eu","wa","wu","wu2","in","pnd","eo","lck"],"title":"ConversationStateEnum","type":"string"}}},"paths":{"/webapi/v2/conversations/bulk_update":{"post":{"operationId":"django_server_llm_app_views_rest_conversation_api_set_conversations","summary":"Set Conversations","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"OK"}},"tags":["Conversations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetBulkConversationsRequest"}}},"required":true}}}}}
```

## Get Conversation By Id

> Get a conversation.\
> \
> The chats provided in conversation are the most recent 20.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Conversation, category, and category element related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"Conversation":{"properties":{"id":{"description":"Unique ID of the conversation","title":"Id","type":"string"},"title":{"description":"Title of the conversation","title":"Title","type":"string"},"user":{"anyOf":[{"$ref":"#/components/schemas/User"},{"type":"null"}],"description":"User information"},"createdAt":{"description":"Conversation created time","title":"Createdat","type":"number"},"lastChatTime":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Conversation last chat time","title":"Lastchattime"},"isEnd":{"description":"Conversation is completed or not","title":"Isend","type":"boolean"},"categories":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Conversation categories","title":"Categories"},"memo":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Conversation memo","title":"Memo"},"chats":{"description":"Chats information","items":{"$ref":"#/components/schemas/Chat"},"title":"Chats","type":"array"},"chatCount":{"description":"Total chat count","title":"Chatcount","type":"integer"},"llmApp":{"anyOf":[{"$ref":"#/components/schemas/LLMApp"},{"type":"null"}],"description":"LLM App information"},"variables":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Variables","title":"Variables"}},"required":["id","title","user","createdAt","lastChatTime","isEnd","categories","memo","chats","chatCount","llmApp","variables"],"title":"Conversation","type":"object"},"User":{"properties":{"userId":{"description":"Unique ID of the user","title":"Userid","type":"string"},"firstName":{"description":"First name of the user","title":"Firstname","type":"string"},"lastName":{"description":"Last name of the user","title":"Lastname","type":"string"}},"required":["userId","firstName","lastName"],"title":"User","type":"object"},"Chat":{"properties":{"id":{"description":"Unique ID of the chat","title":"Id","type":"string"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Node type of the chat","title":"Type"},"sender":{"description":"Sender Type","title":"Sender","type":"string"},"message":{"description":"Chat message","title":"Message","type":"string"},"source":{"anyOf":[{"$ref":"#/components/schemas/ChatInputSource"},{"type":"null"}],"description":"Source of the chat"},"timestamp":{"description":"Timestamp of the chat message creation time","title":"Timestamp","type":"number"},"completed":{"description":"Whether the chat generation is completed","title":"Completed","type":"boolean"},"citations":{"anyOf":[{"items":{"$ref":"#/components/schemas/Citation"},"type":"array"},{"type":"null"}],"description":"Citations information","title":"Citations"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Rating of the chat","title":"Rating"},"agentRating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Agent rating of the chat","title":"Agentrating"}},"required":["id","sender","message","timestamp","completed","citations","rating","agentRating"],"title":"Chat","type":"object"},"ChatInputSource":{"description":"Chat input source information in response.","properties":{"knowledgeBaseIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of knowledge base IDs","title":"Knowledgebaseids"},"folderIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of folder IDs","title":"Folderids"},"webSites":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of web sites","title":"Websites"},"searchAllSharedDocument":{"default":false,"description":"Search all shared documents","title":"Searchallshareddocument","type":"boolean"},"searchAllPersonalDocument":{"default":false,"description":"Search all personal documents","title":"Searchallpersonaldocument","type":"boolean"},"includingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Including hashtags","title":"Includinghashtags"},"excludingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Excluding hashtags","title":"Excludinghashtags"},"includingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Including hashtags operator","title":"Includinghashtagsoperator"},"excludingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Excluding hashtags operator","title":"Excludinghashtagsoperator"},"sharedKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Shared knowledge bases with details","title":"Sharedknowledgebases"},"sharedFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Shared folders with details","title":"Sharedfolders"},"personalKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Personal knowledge bases with details","title":"Personalknowledgebases"},"personalFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Personal folders with details","title":"Personalfolders"}},"title":"ChatInputSource","type":"object"},"KnowledgeBaseInfo":{"description":"Knowledge base information in response.","properties":{"id":{"description":"Unique ID of the knowledge base","title":"Id","type":"string"},"name":{"description":"Name of the knowledge base","title":"Name","type":"string"}},"required":["id","name"],"title":"KnowledgeBaseInfo","type":"object"},"FolderInfo":{"description":"Folder information in response.","properties":{"id":{"description":"Unique ID of the folder","title":"Id","type":"string"},"name":{"description":"Name of the folder","title":"Name","type":"string"}},"required":["id","name"],"title":"FolderInfo","type":"object"},"Citation":{"properties":{"clueId":{"description":"Unique ID of the clue","title":"Clueid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Source of the citation","title":"Source"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Document Title of the clue","title":"Title"},"knowledgeBaseId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Document ID of the clue","title":"Knowledgebaseid"},"pageNo":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Page number of the clue","title":"Pageno"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"URL of the citation","title":"Url"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Text of the citation","title":"Text"}},"required":["clueId"],"title":"Citation","type":"object"},"LLMApp":{"properties":{"id":{"description":"Unique ID of the LLM App","title":"Id","type":"string"},"name":{"description":"Name of the LLM App","title":"Name","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Description of the LLM App","title":"Description"}},"required":["id","name"],"title":"LLMApp","type":"object"}}},"paths":{"/webapi/v2/conversations/{conversation_id}":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_api_get_conversation_by_id","summary":"Get Conversation By Id","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true},{"in":"query","name":"variables","schema":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Comma separated list of variables to include in the response","title":"Variables"},"required":false,"description":"Comma separated list of variables to include in the response"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Conversation"}}}}},"description":"Get a conversation.\n\nThe chats provided in conversation are the most recent 20.","tags":["Conversations"]}}}}
```

## PATCH /webapi/v2/conversations/{conversation\_id}

> Set Conversation

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Conversation, category, and category element related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"Conversation":{"properties":{"id":{"description":"Unique ID of the conversation","title":"Id","type":"string"},"title":{"description":"Title of the conversation","title":"Title","type":"string"},"user":{"anyOf":[{"$ref":"#/components/schemas/User"},{"type":"null"}],"description":"User information"},"createdAt":{"description":"Conversation created time","title":"Createdat","type":"number"},"lastChatTime":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Conversation last chat time","title":"Lastchattime"},"isEnd":{"description":"Conversation is completed or not","title":"Isend","type":"boolean"},"categories":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Conversation categories","title":"Categories"},"memo":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Conversation memo","title":"Memo"},"chats":{"description":"Chats information","items":{"$ref":"#/components/schemas/Chat"},"title":"Chats","type":"array"},"chatCount":{"description":"Total chat count","title":"Chatcount","type":"integer"},"llmApp":{"anyOf":[{"$ref":"#/components/schemas/LLMApp"},{"type":"null"}],"description":"LLM App information"},"variables":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Variables","title":"Variables"}},"required":["id","title","user","createdAt","lastChatTime","isEnd","categories","memo","chats","chatCount","llmApp","variables"],"title":"Conversation","type":"object"},"User":{"properties":{"userId":{"description":"Unique ID of the user","title":"Userid","type":"string"},"firstName":{"description":"First name of the user","title":"Firstname","type":"string"},"lastName":{"description":"Last name of the user","title":"Lastname","type":"string"}},"required":["userId","firstName","lastName"],"title":"User","type":"object"},"Chat":{"properties":{"id":{"description":"Unique ID of the chat","title":"Id","type":"string"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Node type of the chat","title":"Type"},"sender":{"description":"Sender Type","title":"Sender","type":"string"},"message":{"description":"Chat message","title":"Message","type":"string"},"source":{"anyOf":[{"$ref":"#/components/schemas/ChatInputSource"},{"type":"null"}],"description":"Source of the chat"},"timestamp":{"description":"Timestamp of the chat message creation time","title":"Timestamp","type":"number"},"completed":{"description":"Whether the chat generation is completed","title":"Completed","type":"boolean"},"citations":{"anyOf":[{"items":{"$ref":"#/components/schemas/Citation"},"type":"array"},{"type":"null"}],"description":"Citations information","title":"Citations"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Rating of the chat","title":"Rating"},"agentRating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Agent rating of the chat","title":"Agentrating"}},"required":["id","sender","message","timestamp","completed","citations","rating","agentRating"],"title":"Chat","type":"object"},"ChatInputSource":{"description":"Chat input source information in response.","properties":{"knowledgeBaseIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of knowledge base IDs","title":"Knowledgebaseids"},"folderIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of folder IDs","title":"Folderids"},"webSites":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of web sites","title":"Websites"},"searchAllSharedDocument":{"default":false,"description":"Search all shared documents","title":"Searchallshareddocument","type":"boolean"},"searchAllPersonalDocument":{"default":false,"description":"Search all personal documents","title":"Searchallpersonaldocument","type":"boolean"},"includingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Including hashtags","title":"Includinghashtags"},"excludingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Excluding hashtags","title":"Excludinghashtags"},"includingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Including hashtags operator","title":"Includinghashtagsoperator"},"excludingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Excluding hashtags operator","title":"Excludinghashtagsoperator"},"sharedKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Shared knowledge bases with details","title":"Sharedknowledgebases"},"sharedFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Shared folders with details","title":"Sharedfolders"},"personalKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Personal knowledge bases with details","title":"Personalknowledgebases"},"personalFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Personal folders with details","title":"Personalfolders"}},"title":"ChatInputSource","type":"object"},"KnowledgeBaseInfo":{"description":"Knowledge base information in response.","properties":{"id":{"description":"Unique ID of the knowledge base","title":"Id","type":"string"},"name":{"description":"Name of the knowledge base","title":"Name","type":"string"}},"required":["id","name"],"title":"KnowledgeBaseInfo","type":"object"},"FolderInfo":{"description":"Folder information in response.","properties":{"id":{"description":"Unique ID of the folder","title":"Id","type":"string"},"name":{"description":"Name of the folder","title":"Name","type":"string"}},"required":["id","name"],"title":"FolderInfo","type":"object"},"Citation":{"properties":{"clueId":{"description":"Unique ID of the clue","title":"Clueid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Source of the citation","title":"Source"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Document Title of the clue","title":"Title"},"knowledgeBaseId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Document ID of the clue","title":"Knowledgebaseid"},"pageNo":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Page number of the clue","title":"Pageno"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"URL of the citation","title":"Url"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Text of the citation","title":"Text"}},"required":["clueId"],"title":"Citation","type":"object"},"LLMApp":{"properties":{"id":{"description":"Unique ID of the LLM App","title":"Id","type":"string"},"name":{"description":"Name of the LLM App","title":"Name","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Description of the LLM App","title":"Description"}},"required":["id","name"],"title":"LLMApp","type":"object"},"ConversationInfoRequest":{"properties":{"state":{"anyOf":[{"$ref":"#/components/schemas/ConversationStateEnum"},{"type":"null"}],"description":"The state of the conversation"},"assignee":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The assignee of the conversation","title":"Assignee"},"categoryIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"The ID of the category","title":"Categoryids"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The title of the conversation","title":"Title"}},"title":"ConversationInfoRequest","type":"object"},"ConversationStateEnum":{"enum":["no","eb","ea","eu","wa","wu","wu2","in","pnd","eo","lck"],"title":"ConversationStateEnum","type":"string"}}},"paths":{"/webapi/v2/conversations/{conversation_id}":{"patch":{"operationId":"django_server_llm_app_views_rest_conversation_api_set_conversation","summary":"Set Conversation","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Conversation"}}}}},"tags":["Conversations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationInfoRequest"}}},"required":true}}}}}
```

## List Conversation Chats

> Get a conversation chats. The chats are sorted by timestamp in ascending order.\
> \
> Chat page size is 100.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Conversation, category, and category element related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"ChatsResponse":{"properties":{"chats":{"items":{"$ref":"#/components/schemas/Chat"},"title":"Chats","type":"array"},"pageNo":{"title":"Pageno","type":"integer"},"totalCount":{"title":"Totalcount","type":"integer"}},"required":["chats","pageNo","totalCount"],"title":"ChatsResponse","type":"object"},"Chat":{"properties":{"id":{"description":"Unique ID of the chat","title":"Id","type":"string"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Node type of the chat","title":"Type"},"sender":{"description":"Sender Type","title":"Sender","type":"string"},"message":{"description":"Chat message","title":"Message","type":"string"},"source":{"anyOf":[{"$ref":"#/components/schemas/ChatInputSource"},{"type":"null"}],"description":"Source of the chat"},"timestamp":{"description":"Timestamp of the chat message creation time","title":"Timestamp","type":"number"},"completed":{"description":"Whether the chat generation is completed","title":"Completed","type":"boolean"},"citations":{"anyOf":[{"items":{"$ref":"#/components/schemas/Citation"},"type":"array"},{"type":"null"}],"description":"Citations information","title":"Citations"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Rating of the chat","title":"Rating"},"agentRating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Agent rating of the chat","title":"Agentrating"}},"required":["id","sender","message","timestamp","completed","citations","rating","agentRating"],"title":"Chat","type":"object"},"ChatInputSource":{"description":"Chat input source information in response.","properties":{"knowledgeBaseIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of knowledge base IDs","title":"Knowledgebaseids"},"folderIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of folder IDs","title":"Folderids"},"webSites":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of web sites","title":"Websites"},"searchAllSharedDocument":{"default":false,"description":"Search all shared documents","title":"Searchallshareddocument","type":"boolean"},"searchAllPersonalDocument":{"default":false,"description":"Search all personal documents","title":"Searchallpersonaldocument","type":"boolean"},"includingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Including hashtags","title":"Includinghashtags"},"excludingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Excluding hashtags","title":"Excludinghashtags"},"includingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Including hashtags operator","title":"Includinghashtagsoperator"},"excludingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Excluding hashtags operator","title":"Excludinghashtagsoperator"},"sharedKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Shared knowledge bases with details","title":"Sharedknowledgebases"},"sharedFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Shared folders with details","title":"Sharedfolders"},"personalKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Personal knowledge bases with details","title":"Personalknowledgebases"},"personalFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Personal folders with details","title":"Personalfolders"}},"title":"ChatInputSource","type":"object"},"KnowledgeBaseInfo":{"description":"Knowledge base information in response.","properties":{"id":{"description":"Unique ID of the knowledge base","title":"Id","type":"string"},"name":{"description":"Name of the knowledge base","title":"Name","type":"string"}},"required":["id","name"],"title":"KnowledgeBaseInfo","type":"object"},"FolderInfo":{"description":"Folder information in response.","properties":{"id":{"description":"Unique ID of the folder","title":"Id","type":"string"},"name":{"description":"Name of the folder","title":"Name","type":"string"}},"required":["id","name"],"title":"FolderInfo","type":"object"},"Citation":{"properties":{"clueId":{"description":"Unique ID of the clue","title":"Clueid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Source of the citation","title":"Source"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Document Title of the clue","title":"Title"},"knowledgeBaseId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Document ID of the clue","title":"Knowledgebaseid"},"pageNo":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Page number of the clue","title":"Pageno"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"URL of the citation","title":"Url"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Text of the citation","title":"Text"}},"required":["clueId"],"title":"Citation","type":"object"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/chats":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_api_list_conversation_chats","summary":"List Conversation Chats","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true},{"in":"query","name":"pageNo","schema":{"default":1,"minimum":1,"title":"Pageno","type":"integer"},"required":false}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatsResponse"}}}}},"description":"Get a conversation chats. The chats are sorted by timestamp in ascending order.\n\nChat page size is 100.","tags":["Conversations"]}}}}
```

## GET /webapi/v2/conversations/{conversation\_id}/running

> Get Conversation State By Id

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Conversation, category, and category element related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"ConversationRunningStatusResponse":{"properties":{"isRunning":{"description":"Backgound running status","title":"Isrunning","type":"boolean"}},"required":["isRunning"],"title":"ConversationRunningStatusResponse","type":"object"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/running":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_api_get_conversation_state_by_id","summary":"Get Conversation State By Id","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationRunningStatusResponse"}}}}},"tags":["Conversations"]}}}}
```

## Stop Conversation

> Stop a running conversation.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Conversation, category, and category element related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/stop":{"post":{"operationId":"django_server_llm_app_views_rest_conversation_api_stop_conversation","summary":"Stop Conversation","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK"}},"description":"Stop a running conversation.","tags":["Conversations"]}}}}
```

## Get Conversation Chat By Id

> Get a specific chat by ID from a conversation.\
> \
> This API is useful for verifying the message content after a streaming response from run\_apps API.\
> The response includes detailed chat information compatible with LLMResponse.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Conversation, category, and category element related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"ChatDetail":{"description":"Detailed chat information compatible with LLMResponse for run_apps API response verification.\n\nExtends Chat with additional fields for verifying streaming responses from run_apps API.","properties":{"id":{"description":"Unique ID of the chat","title":"Id","type":"string"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Node type of the chat","title":"Type"},"sender":{"description":"Sender Type","title":"Sender","type":"string"},"message":{"description":"Chat message","title":"Message","type":"string"},"source":{"anyOf":[{"$ref":"#/components/schemas/ChatInputSource"},{"type":"null"}],"description":"Source of the chat"},"timestamp":{"description":"Timestamp of the chat message creation time","title":"Timestamp","type":"number"},"completed":{"description":"Whether the chat generation is completed","title":"Completed","type":"boolean"},"citations":{"anyOf":[{"items":{"$ref":"#/components/schemas/Citation"},"type":"array"},{"type":"null"}],"description":"Citations information","title":"Citations"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Rating of the chat","title":"Rating"},"agentRating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Agent rating of the chat","title":"Agentrating"},"intermediateSteps":{"anyOf":[{"items":{"$ref":"#/components/schemas/IntermediateStepResponse"},"type":"array"},{"type":"null"}],"description":"Intermediate steps during chat generation","title":"Intermediatesteps"}},"required":["id","sender","message","timestamp","completed","citations","rating","agentRating"],"title":"ChatDetail","type":"object"},"ChatInputSource":{"description":"Chat input source information in response.","properties":{"knowledgeBaseIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of knowledge base IDs","title":"Knowledgebaseids"},"folderIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of folder IDs","title":"Folderids"},"webSites":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of web sites","title":"Websites"},"searchAllSharedDocument":{"default":false,"description":"Search all shared documents","title":"Searchallshareddocument","type":"boolean"},"searchAllPersonalDocument":{"default":false,"description":"Search all personal documents","title":"Searchallpersonaldocument","type":"boolean"},"includingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Including hashtags","title":"Includinghashtags"},"excludingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Excluding hashtags","title":"Excludinghashtags"},"includingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Including hashtags operator","title":"Includinghashtagsoperator"},"excludingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Excluding hashtags operator","title":"Excludinghashtagsoperator"},"sharedKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Shared knowledge bases with details","title":"Sharedknowledgebases"},"sharedFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Shared folders with details","title":"Sharedfolders"},"personalKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Personal knowledge bases with details","title":"Personalknowledgebases"},"personalFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Personal folders with details","title":"Personalfolders"}},"title":"ChatInputSource","type":"object"},"KnowledgeBaseInfo":{"description":"Knowledge base information in response.","properties":{"id":{"description":"Unique ID of the knowledge base","title":"Id","type":"string"},"name":{"description":"Name of the knowledge base","title":"Name","type":"string"}},"required":["id","name"],"title":"KnowledgeBaseInfo","type":"object"},"FolderInfo":{"description":"Folder information in response.","properties":{"id":{"description":"Unique ID of the folder","title":"Id","type":"string"},"name":{"description":"Name of the folder","title":"Name","type":"string"}},"required":["id","name"],"title":"FolderInfo","type":"object"},"Citation":{"properties":{"clueId":{"description":"Unique ID of the clue","title":"Clueid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Source of the citation","title":"Source"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Document Title of the clue","title":"Title"},"knowledgeBaseId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Document ID of the clue","title":"Knowledgebaseid"},"pageNo":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Page number of the clue","title":"Pageno"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"URL of the citation","title":"Url"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Text of the citation","title":"Text"}},"required":["clueId"],"title":"Citation","type":"object"},"IntermediateStepResponse":{"description":"Intermediate step information for chat generation progress.","properties":{"key":{"description":"Unique key for the step","title":"Key","type":"string"},"createdAt":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Timestamp when the step was created","title":"Createdat"},"completed":{"description":"Whether the step is completed","title":"Completed","type":"boolean"},"statusMessage":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Status message for the step","title":"Statusmessage"},"markdownMessage":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Markdown formatted message for the step","title":"Markdownmessage"}},"required":["key","completed"],"title":"IntermediateStepResponse","type":"object"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/chats/{chat_id}":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_api_get_conversation_chat_by_id","summary":"Get Conversation Chat By Id","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true},{"in":"path","name":"chat_id","schema":{"title":"Chat Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatDetail"}}}}},"description":"Get a specific chat by ID from a conversation.\n\nThis API is useful for verifying the message content after a streaming response from run_apps API.\nThe response includes detailed chat information compatible with LLMResponse.","tags":["Conversations"]}}}}
```

## DELETE /webapi/v2/conversations/{conversation\_id}/chats/{chat\_id}

> Delete Conversation Chat By Id

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Conversation, category, and category element related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/chats/{chat_id}":{"delete":{"operationId":"django_server_llm_app_views_rest_conversation_api_delete_conversation_chat_by_id","summary":"Delete Conversation Chat By Id","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true},{"in":"path","name":"chat_id","schema":{"title":"Chat Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK"}},"tags":["Conversations"]}}}}
```

## Update Conversation Title

> Set a conversation title.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Conversation, category, and category element related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"Conversation":{"properties":{"id":{"description":"Unique ID of the conversation","title":"Id","type":"string"},"title":{"description":"Title of the conversation","title":"Title","type":"string"},"user":{"anyOf":[{"$ref":"#/components/schemas/User"},{"type":"null"}],"description":"User information"},"createdAt":{"description":"Conversation created time","title":"Createdat","type":"number"},"lastChatTime":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Conversation last chat time","title":"Lastchattime"},"isEnd":{"description":"Conversation is completed or not","title":"Isend","type":"boolean"},"categories":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Conversation categories","title":"Categories"},"memo":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Conversation memo","title":"Memo"},"chats":{"description":"Chats information","items":{"$ref":"#/components/schemas/Chat"},"title":"Chats","type":"array"},"chatCount":{"description":"Total chat count","title":"Chatcount","type":"integer"},"llmApp":{"anyOf":[{"$ref":"#/components/schemas/LLMApp"},{"type":"null"}],"description":"LLM App information"},"variables":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Variables","title":"Variables"}},"required":["id","title","user","createdAt","lastChatTime","isEnd","categories","memo","chats","chatCount","llmApp","variables"],"title":"Conversation","type":"object"},"User":{"properties":{"userId":{"description":"Unique ID of the user","title":"Userid","type":"string"},"firstName":{"description":"First name of the user","title":"Firstname","type":"string"},"lastName":{"description":"Last name of the user","title":"Lastname","type":"string"}},"required":["userId","firstName","lastName"],"title":"User","type":"object"},"Chat":{"properties":{"id":{"description":"Unique ID of the chat","title":"Id","type":"string"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Node type of the chat","title":"Type"},"sender":{"description":"Sender Type","title":"Sender","type":"string"},"message":{"description":"Chat message","title":"Message","type":"string"},"source":{"anyOf":[{"$ref":"#/components/schemas/ChatInputSource"},{"type":"null"}],"description":"Source of the chat"},"timestamp":{"description":"Timestamp of the chat message creation time","title":"Timestamp","type":"number"},"completed":{"description":"Whether the chat generation is completed","title":"Completed","type":"boolean"},"citations":{"anyOf":[{"items":{"$ref":"#/components/schemas/Citation"},"type":"array"},{"type":"null"}],"description":"Citations information","title":"Citations"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Rating of the chat","title":"Rating"},"agentRating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Agent rating of the chat","title":"Agentrating"}},"required":["id","sender","message","timestamp","completed","citations","rating","agentRating"],"title":"Chat","type":"object"},"ChatInputSource":{"description":"Chat input source information in response.","properties":{"knowledgeBaseIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of knowledge base IDs","title":"Knowledgebaseids"},"folderIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of folder IDs","title":"Folderids"},"webSites":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"List of web sites","title":"Websites"},"searchAllSharedDocument":{"default":false,"description":"Search all shared documents","title":"Searchallshareddocument","type":"boolean"},"searchAllPersonalDocument":{"default":false,"description":"Search all personal documents","title":"Searchallpersonaldocument","type":"boolean"},"includingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Including hashtags","title":"Includinghashtags"},"excludingHashtags":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Excluding hashtags","title":"Excludinghashtags"},"includingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Including hashtags operator","title":"Includinghashtagsoperator"},"excludingHashtagsOperator":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Excluding hashtags operator","title":"Excludinghashtagsoperator"},"sharedKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Shared knowledge bases with details","title":"Sharedknowledgebases"},"sharedFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Shared folders with details","title":"Sharedfolders"},"personalKnowledgeBases":{"anyOf":[{"items":{"$ref":"#/components/schemas/KnowledgeBaseInfo"},"type":"array"},{"type":"null"}],"description":"Personal knowledge bases with details","title":"Personalknowledgebases"},"personalFolders":{"anyOf":[{"items":{"$ref":"#/components/schemas/FolderInfo"},"type":"array"},{"type":"null"}],"description":"Personal folders with details","title":"Personalfolders"}},"title":"ChatInputSource","type":"object"},"KnowledgeBaseInfo":{"description":"Knowledge base information in response.","properties":{"id":{"description":"Unique ID of the knowledge base","title":"Id","type":"string"},"name":{"description":"Name of the knowledge base","title":"Name","type":"string"}},"required":["id","name"],"title":"KnowledgeBaseInfo","type":"object"},"FolderInfo":{"description":"Folder information in response.","properties":{"id":{"description":"Unique ID of the folder","title":"Id","type":"string"},"name":{"description":"Name of the folder","title":"Name","type":"string"}},"required":["id","name"],"title":"FolderInfo","type":"object"},"Citation":{"properties":{"clueId":{"description":"Unique ID of the clue","title":"Clueid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Source of the citation","title":"Source"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Document Title of the clue","title":"Title"},"knowledgeBaseId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Document ID of the clue","title":"Knowledgebaseid"},"pageNo":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Page number of the clue","title":"Pageno"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"URL of the citation","title":"Url"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Text of the citation","title":"Text"}},"required":["clueId"],"title":"Citation","type":"object"},"LLMApp":{"properties":{"id":{"description":"Unique ID of the LLM App","title":"Id","type":"string"},"name":{"description":"Name of the LLM App","title":"Name","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Description of the LLM App","title":"Description"}},"required":["id","name"],"title":"LLMApp","type":"object"},"SetConversationTitleRequest":{"properties":{"title":{"description":"The title of the conversation","title":"Title","type":"string"}},"required":["title"],"title":"SetConversationTitleRequest","type":"object"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/title":{"put":{"operationId":"django_server_llm_app_views_rest_conversation_api_update_conversation_title","summary":"Update Conversation Title","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Conversation"}}}}},"description":"Set a conversation title.","tags":["Conversations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetConversationTitleRequest"}}},"required":true}}}}}
```

## POST /webapi/v2/conversations/{conversation\_id}/chats/{chat\_id}/feedback

> Post Feedbacks

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Conversation, category, and category element related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"FeedbackResponse":{"properties":{"conversationId":{"title":"Conversationid","type":"string"},"chatId":{"title":"Chatid","type":"string"},"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Rating"}},"required":["conversationId","chatId"],"title":"FeedbackResponse","type":"object"},"FeedbackRequest":{"properties":{"rating":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"The rating of chat","title":"Rating"},"feedbackSelection":{"anyOf":[{"items":{"$ref":"#/components/schemas/UserAnswerFeedbackSelection"},"type":"array"},{"type":"null"}],"description":"The feedback selection","title":"Feedbackselection"},"suggestedAnswer":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The suggested answer","title":"Suggestedanswer"}},"title":"FeedbackRequest","type":"object"},"UserAnswerFeedbackSelection":{"enum":["not_relevant","inaccurate","not_best_answer","wrong_intent","too_slow","low_quality","etc"],"title":"UserAnswerFeedbackSelection","type":"string"}}},"paths":{"/webapi/v2/conversations/{conversation_id}/chats/{chat_id}/feedback":{"post":{"operationId":"django_server_llm_app_views_rest_conversation_api_post_feedbacks","summary":"Post Feedbacks","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_id","schema":{"title":"Conversation Id","type":"string"},"required":true},{"in":"path","name":"chat_id","schema":{"title":"Chat Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackResponse"}}}}},"tags":["Conversations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackRequest"}}},"required":true}}}}}
```

## GET /webapi/v2/conversation\_categories

> List Conversation Categories

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Conversation, category, and category element related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"ConversationCategoriesResponse":{"properties":{"categories":{"items":{"$ref":"#/components/schemas/ConversationCategoryResponse"},"title":"Categories","type":"array"}},"required":["categories"],"title":"ConversationCategoriesResponse","type":"object"},"ConversationCategoryResponse":{"properties":{"categoryId":{"description":"Unique ID of the category","title":"Categoryid","type":"string"},"name":{"description":"Name of the category","title":"Name","type":"string"}},"required":["categoryId","name"],"title":"ConversationCategoryResponse","type":"object"}}},"paths":{"/webapi/v2/conversation_categories":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_category_api_list_conversation_categories","summary":"List Conversation Categories","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationCategoriesResponse"}}}}},"tags":["Conversations"]}}}}
```

## POST /webapi/v2/conversation\_categories

> Create Conversation Category

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Conversation, category, and category element related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"ConversationCategoryResponse":{"properties":{"categoryId":{"description":"Unique ID of the category","title":"Categoryid","type":"string"},"name":{"description":"Name of the category","title":"Name","type":"string"}},"required":["categoryId","name"],"title":"ConversationCategoryResponse","type":"object"},"CreateConversationCategoryRequest":{"properties":{"name":{"title":"Name","type":"string"}},"required":["name"],"title":"CreateConversationCategoryRequest","type":"object"}}},"paths":{"/webapi/v2/conversation_categories":{"post":{"operationId":"django_server_llm_app_views_rest_conversation_category_api_create_conversation_category","summary":"Create Conversation Category","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationCategoryResponse"}}}}},"tags":["Conversations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateConversationCategoryRequest"}}},"required":true}}}}}
```

## DELETE /webapi/v2/conversation\_categories/{conversation\_category\_id}

> Delete Conversation Category

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Conversation, category, and category element related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/v2/conversation_categories/{conversation_category_id}":{"delete":{"operationId":"django_server_llm_app_views_rest_conversation_category_api_delete_conversation_category","summary":"Delete Conversation Category","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_category_id","schema":{"title":"Conversation Category Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK"}},"tags":["Conversations"]}}}}
```

## Chat Completions

> Direct LLM call without retrieval.\
> \
> Routes through Mally's LLM infra (model routing, billing).\
> Supports both sync and streaming modes via the 'mode' field.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Conversation, category, and category element related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"ChatCompletionsRequest":{"properties":{"messages":{"description":"Conversation messages","items":{"$ref":"#/components/schemas/ChatMessage"},"title":"Messages","type":"array"},"model":{"default":"gpt4_o","description":"LLM model name (Mally internal name)","title":"Model","type":"string"},"temperature":{"default":0.3,"description":"Sampling temperature","title":"Temperature","type":"number"},"mode":{"default":"sync","description":"sync or stream","enum":["sync","stream"],"title":"Mode","type":"string"},"max_tokens":{"default":2048,"description":"Max completion tokens","title":"Max Tokens","type":"integer"}},"required":["messages"],"title":"ChatCompletionsRequest","type":"object"},"ChatMessage":{"properties":{"role":{"description":"Role: system, developer, user, assistant","enum":["system","developer","assistant","user"],"title":"Role","type":"string"},"content":{"description":"Message content","title":"Content","type":"string"}},"required":["role","content"],"title":"ChatMessage","type":"object"}}},"paths":{"/webapi/v2/chat/completions":{"post":{"operationId":"django_server_llm_app_views_rest_chat_completions_api_chat_completions","summary":"Chat Completions","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"OK"}},"description":"Direct LLM call without retrieval.\n\nRoutes through Mally's LLM infra (model routing, billing).\nSupports both sync and streaming modes via the 'mode' field.","tags":["Conversations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatCompletionsRequest"}}},"required":true}}}}}
```

## Daily Conversation Count

> The total number of conversations per day for a given range.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"Conversations","description":"Conversation, category, and category element related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/conversation_daily_count":{"get":{"tags":["Conversations"],"operationId":"conversationDailyCount","summary":"Daily Conversation Count","description":"The total number of conversations per day for a given range.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"startDate":{"type":"string","description":"Start of range of dates to query in YYYY-MM-DD format."},"endDate":{"type":"string","description":"End of range of dates to query in YYYY-MM-DD format."}}}}}},"responses":{"200":{"description":"Successfully retrieved daily conversation count","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","properties":{"dailyTotalCount":{"type":"array","description":"List of date and activeCount pairs, where activeCount is the number of conversations on date.","items":{"type":"object","properties":{"date":{"type":"string","description":"Date in YYYY-MM-DD format"},"activeCount":{"type":"integer","description":"Number of conversations on this date"}}}},"state":{"type":"string","description":"State of the request"},"campaignCount":{"type":"integer","description":"Number of campaigns"}}},"errors":{"type":"object","nullable":true}}}}}}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.allganize.ai/api-reference/conversations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
